Adding Unified Canadian Aboriginal Syllabics to MediaWiki's special character list as used in WikiEditor and VisualEditor
Closed, ResolvedPublic1 Story Points

Description

Some books using french, english and Unified Canadian Aboriginal Syllabics needs U+1400 @ U+167F to proofread. It would be very useful to have these syllabics along the other languages available on Wikisource.

Ernest-Mtl added a project: Wikisource.
Ernest-Mtl added a subscriber: Ernest-Mtl.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2015, 8:59 PM

Thanks for taking the time to report this!

This seems to be about WikiEditor, hence setting that project.

Thanks for taking the time to report this!

This seems to be about WikiEditor, hence setting that project.

Ah thanks... I had never noticed it was on all wikis... I usually take VisualEditor on Wikipedia, hence had never seen the special character on the code editor! :)

Should be possible for an on-wiki admin to set up in a gadget, e.g. this adds 'a' to the 'latin' special characters page:
$( '#wpTextbox1' ).wikiEditor( 'addToToolbar', { section: 'characters', characters: [ 'a' ], page: 'latin' } );

Although I wonder if we should just add these into resources/src/mediawiki.language/specialcharacters.json in MediaWiki core, that way WikiEditor will pull them in by default.

Krenair changed the title from "Adding Unified Canadian Aboriginal Syllabics to FR Wikisource Special Character Toolbar" to "Adding Unified Canadian Aboriginal Syllabics to Special Character Toolbar".Aug 11 2015, 6:31 PM
Krenair set Security to None.
coren added a subscriber: coren.Aug 14 2015, 7:12 PM

@Krenair: I don't think it's possible to add an entirely new codepoint page in a reasonable way through a gadget though - the Canadian syllabics are a distinct script entirely with several dozen codepoints.

@Krenair: I don't think it's possible to add an entirely new codepoint page in a reasonable way through a gadget though - the Canadian syllabics are a distinct script entirely with several dozen codepoints.

Good point, that's my understanding too. Hopefully the i18n people will be able to find all the relevant characters to add to the file in core.

Ah. And then we'll need to add the section to WikiEditor...

Jdforrester-WMF changed the title from "Adding Unified Canadian Aboriginal Syllabics to Special Character Toolbar" to "Adding Unified Canadian Aboriginal Syllabics to MediaWiki's special character list as used in WikiEditor and VisualEditor".Mar 31 2016, 1:21 PM
Jdforrester-WMF triaged this task as "Normal" priority.
Jdforrester-WMF set the point value for this task to 1.

Change 346062 had a related patch set uploaded (by Tpt):
[mediawiki/core@master] Adds canadian aboriginal to mw.language.specialcharacters

https://gerrit.wikimedia.org/r/346062

Change 346509 had a related patch set uploaded (by Amire80):
[mediawiki/extensions/WikiEditor@master] Add Canadian Aboriginal characters to the special characters toolbar

https://gerrit.wikimedia.org/r/346509

Jdforrester-WMF assigned this task to Tpt.

Change 346062 merged by jenkins-bot:
[mediawiki/core@master] mw.language.specialcharacters: Add Canadian Aboriginal group

https://gerrit.wikimedia.org/r/346062

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptWed, Apr 5, 6:41 PM
0x010C added a subscriber: 0x010C.Mon, Apr 10, 6:58 PM

Change 346509 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Add Canadian Aboriginal characters to the special characters toolbar

https://gerrit.wikimedia.org/r/346509